=== debian/control ===
Source: blivet-gui
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Vojtech Trefny <vtrefny@redhat.com>
Section: misc
Priority: optional
Standards-Version: 4.4.0
Homepage: https://github.com/storaged-project/blivet-gui
Build-Depends: debhelper-compat (= 13),
               dh-python,
               gettext,
               python3-all-dev,
               python3-setuptools

Package: blivet-gui
Architecture: all
Depends: adwaita-icon-theme,
         gir1.2-gtk-3.0,
         python3-blivet,
         python3-gi-cairo,
         python3-pid,
         ${misc:Depends},
         ${python3:Depends}
Description: GUI tool for storage configuration using blivet library.
  Blivet-gui is a graphical tool for storage configuration using blivet library
